[Numpy-discussion] numpy1.6.1 install fortran compiler error

Derek Homeier derek at astro.physik.uni-goettingen.de
Tue Dec 20 14:43:53 EST 2011


Hi Jack,

> In order to install scipy,  I am trying to install numpy 1.6.1. on GNU/linux redhat  2.6.18. 
> 
> But, I got error about fortran compiler. 
> 
> I have gfortran. I do not have f77/f90/g77/g90.
> 
that's good!

> I run :
> python setup.py build --fcompiler=gfortran
> 
> It woks well and tells me that 
> 
> customize Gnu95FCompiler
> Found executable /usr/bin/gfortran
> 
> But, i run: 
> 
> building library "npymath" sources
> customize GnuFCompiler
> Could not locate executable g77
> Could not locate executable f77
> customize IntelFCompiler
> Could not locate executable ifort
> Could not locate executable ifc
> customize LaheyFCompiler
> Could not locate executable lf95
> customize PGroupFCompiler
> Could not locate executable pgf90
> Could not locate executable pgf77
> customize AbsoftFCompiler
> Could not locate executable f90
> customize NAGFCompiler
> Found executable /usr/bin/f95
> customize Gnu95FCompiler
> customize Gnu95FCompiler using config
> C compiler: gcc -pthread -fno-strict-aliasing -g -O2 -DNDEBUG -g -fwrapv -O3 -Wall -Wstrict-prototypes -fPIC
> 
> Do I have to install f77/f90/g77/g90 ? 
> 
You did not send any actual error message here, so it's difficult to tell 
where exactly your install failed. But gfortran is preferred over f77 etc. 
and should in fact be automatically selected (without the '--fcompiler=gfortran'), 
it is apparently also found in the right place. 
Could you send us the last lines of output with the error itself, or possibly  
everything following a line starting with "Traceback:.." ; 
and also the output of `gfortran -v`?

Cheers,
							Derek




More information about the NumPy-Discussion mailing list